#pragma once
#include "pch.h"
#include "ZZ_Types.h"
using namespace ZZ_MISCDEF::ZZ_RUNPARAMS;
using namespace ZZ_MISCDEF::MISC_DETECTOR;

class ZZ_SysConfigger :public QObject
{
	Q_OBJECT

public:
	ZZ_SysConfigger(QObject* parent = nullptr);
	virtual ~ZZ_SysConfigger();

public:

private:
	OneFSContext m_struOneFSContext;
	GPSInfo      m_struGPSContext;

	QString    m_qstrDeviceSettingsFilePath;
	QSettings* m_qsDeviceSettings;

public:
	void Initialize();

	//void SetContext(OneFSContext struOFSC);

	bool LoadSettings_FS(OneFSContext &struOFSC);
	bool LoadSettings_GPS(GPSInfo &struGPSC);
}; 
